Bug 475040 - Review Request: wol - Wake On Lan client
Review Request: wol - Wake On Lan client
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-06 17:11 EST by Fabian Affolter
Modified: 2009-01-07 04:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 04:17:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2008-12-06 17:11:39 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/wol.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/wol-0.7.1-1.fc9.src.rpm

Project URL: http://sourceforge.net/projects/wake-on-lan/

Description:
wol implements Wake On LAN functionality in a small program. It wakes up
hardware that is Magic Packet compliant. SecureON is supported by wol too.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=984511 

rpmlint output:
[fab@laptop024 i386]$ rpmlint wol*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop024 SRPMS]$ rpmlint wol*
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Jason Tibbitts 2008-12-06 19:03:21 EST
Your Source0: URL is not correct.  You can use spectool -g to make sure that your sources are downloadable.  I think you want:
  http://downloads.sourceforge.net/wake-on-lan/%{name}-%{version}.tar.gz
instead.

Your license tag does not seem to be correct.  At least the source files I looked at are GPLv2+.  Where do you see the restriction to GPLv2 only?


* source files match upstream.  sha256sum:
   e0086c9b9811df2bdf763ec9016dfb1bcb7dba9fa6d7858725b0929069a12622  
   wol-0.7.1.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
X license field does not match the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   wol = 0.7.1-1.fc11
   wol(x86-64) = 0.7.1-1.fc11
  =
   /bin/sh
   /sbin/install-info

* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files.
* scriptlets are OK (info page installation).
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.
Comment 2 Fabian Affolter 2008-12-07 08:23:19 EST
(In reply to comment #1)
> Your Source0: URL is not correct.  You can use spectool -g to make sure that
> your sources are downloadable.  I think you want:
>   http://downloads.sourceforge.net/wake-on-lan/%{name}-%{version}.tar.gz
> instead.

fixed

> Your license tag does not seem to be correct.  At least the source files I
> looked at are GPLv2+.  Where do you see the restriction to GPLv2 only?

You are right, the license is GPLv2+.  The headers in the source point to GPLv2+.

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/wol.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/wol-0.7.1-2.fc9.src.rpm

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=985187
Comment 3 Jason Tibbitts 2008-12-07 14:22:16 EST
Thanks.  The license tag is OK now and the Source0: URL is correct.

APPROVED
Comment 4 Fabian Affolter 2008-12-07 16:55:56 EST
Thanks Jason for your review.
Comment 5 Fabian Affolter 2008-12-07 17:12:50 EST
New Package CVS Request
=======================
Package Name: wol
Short Description: Wake On Lan client
Owners: fab
Branches: F-9 F-10 EL-5
InitialCC:
Comment 6 Kevin Fenzi 2008-12-07 19:35:50 EST
cvs done.
Comment 7 Fedora Update System 2008-12-08 17:24:34 EST
wol-0.7.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/wol-0.7.1-2.fc10
Comment 8 Fedora Update System 2008-12-08 17:24:37 EST
wol-0.7.1-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/wol-0.7.1-2.fc9
Comment 9 Fedora Update System 2008-12-09 23:35:29 EST
wol-0.7.1-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update wol'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11081
Comment 10 Fedora Update System 2008-12-09 23:37:52 EST
wol-0.7.1-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wol'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11106
Comment 11 Fedora Update System 2009-01-07 04:17:01 EST
wol-0.7.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-01-07 04:31:48 EST
wol-0.7.1-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.